Debian Bug report logs - #692320
ITP: dnscrypt-proxy -- A tool for securing communications between a client and a DNS resolver

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: sky blue <csosstudy@gmail.com>

Date: Sun, 4 Nov 2012 22:57:02 UTC

Owned by: sky blue <csosstudy@gmail.com>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692320; Package wnpp. (Sun, 04 Nov 2012 22:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to sky blue <csosstudy@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 04 Nov 2012 22:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sky blue <csosstudy@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: A tool for securing communications between a client and a DNS resolver
Date: Mon, 5 Nov 2012 06:55:40 +0800
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org


Package name         : dnscrypt-proxy
Version                    : 1.2.0
Upstream Author     : Frank Denis <j@pureftpd.org>
URL                          : http://dnscrypt.org
License                    : ISC
Description              : A tool for securing communications between
a client and a DNS resolver
dnscrypt-proxy provides local service which can be used directly as
your local resolver or as a DNS forwarder, encrypting and
authenticating requests using the DNSCrypt protocol and passing them
to an upstream server, by default OpenDNS who run this on their
resolvers.



Changed Bug title to 'ITP: dnscrypt-proxy -- A tool for securing communications between a client and a DNS resolver' from 'ITP: A tool for securing communications between a client and a DNS resolver' Request was from Arno Töll <arno@debian.org> to control@bugs.debian.org. (Sun, 04 Nov 2012 23:18:03 GMT) Full text and rfc822 format available.

Owner recorded as sky blue <csosstudy@gmail.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 05 Nov 2012 08:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sky blue <csosstudy@gmail.com>:
Bug#692320; Package wnpp. (Tue, 05 Mar 2013 20:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Echeverry <epsilon77@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sky blue <csosstudy@gmail.com>. (Tue, 05 Mar 2013 20:57:03 GMT) Full text and rfc822 format available.

Message #14 received at 692320@bugs.debian.org (full text, mbox):

From: Daniel Echeverry <epsilon77@gmail.com>
To: "csosstudy E." <csosstudy@gmail.com>
Cc: 692320@bugs.debian.org
Subject: Re: dnscrypt package
Date: Tue, 5 Mar 2013 15:54:02 -0500
[Message part 1 (text/plain, inline)]
Hi

2013/3/5 csosstudy E. <csosstudy@gmail.com>

> Hi,
>
> I tried to make the dnscrypt-proxy's Debian package myself. But the
> libevent and nalc shiped with dnscrypt-proxy is modified versions, so
> dnscrypt-proxy can't compile sucess with libevent and nacl in Debian
> archive. I made a packages for myself, but it doesn't meet the
> Debian's requirements. The author of dnscrypt-proxy renamed libevent
> to libevent-modified and will eventually be submitted upstream after
> libevent 2.1 gets released.  And now dnscrypt-proxy master branch uses
> libsodium instead of nacl,libsodium is the modified version of nacl.
> The problems will be resolved. But my baby will born, I won't have
> enough time to do it. Do you still want to do it?
>
> 2013/1/15 sky blue <csosstudy@gmail.com>:
> > I had make the dnscrypt-proxy's Debian package and send it to a
> > DD(Aron Xu <happyaron.xu@gmail.com>).
> >
> > 2013/1/14 Daniel Echeverry <epsilon77@gmail.com>:
> >> Hi,
> >>
> >> You are the owner of dnscrypt ITP bug, I know the application and would
> love
> >> to be in the Debian archive, so I wanted to know if you need help
> packaging
> >> dnscrypt, we could maintain it together, What do you think?
> >>
> >> Regards
> >> Daniel
> >>
> >> --
> >> Epsilon
> >> http://wiki.debian.org/DanielEcheverry
> >> http://www.rinconinformatico.net
> >> http://enchulatucelu.com
> >> http://www.todopdf.net
> >> http://www.fitnessdeportes.com
> >> http://www.dragonjar.org
> >> Linux user: #477840
> >> Debian user
>

I want packaging  dnscrypt for Debian .

Thank you very much

-- 
Epsilon
http://wiki.debian.org/DanielEcheverry
Linux user: #477840
Debian user
Software libre <http://www.rinconinformatico.net>
liberar blackberry <http://enchulatucelu.com>
Libros online <http://www.todopdf.net>
garmin y campin <http://www.fitnessdeportes.com>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sky blue <csosstudy@gmail.com>:
Bug#692320; Package wnpp. (Wed, 06 Mar 2013 00:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "csosstudy E." <csosstudy@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sky blue <csosstudy@gmail.com>. (Wed, 06 Mar 2013 00:15:07 GMT) Full text and rfc822 format available.

Message #19 received at 692320@bugs.debian.org (full text, mbox):

From: "csosstudy E." <csosstudy@gmail.com>
To: Daniel Echeverry <epsilon77@gmail.com>, 692320@bugs.debian.org
Subject: Re: Bug#692320: dnscrypt package
Date: Wed, 6 Mar 2013 08:12:07 +0800
[Message part 1 (text/plain, inline)]
The attachment may be useful for you.

2013/3/6 Daniel Echeverry <epsilon77@gmail.com>:
>
> Hi
>
> 2013/3/5 csosstudy E. <csosstudy@gmail.com>
>>
>> Hi,
>>
>> I tried to make the dnscrypt-proxy's Debian package myself. But the
>> libevent and nalc shiped with dnscrypt-proxy is modified versions, so
>> dnscrypt-proxy can't compile sucess with libevent and nacl in Debian
>> archive. I made a packages for myself, but it doesn't meet the
>> Debian's requirements. The author of dnscrypt-proxy renamed libevent
>> to libevent-modified and will eventually be submitted upstream after
>> libevent 2.1 gets released.  And now dnscrypt-proxy master branch uses
>> libsodium instead of nacl,libsodium is the modified version of nacl.
>> The problems will be resolved. But my baby will born, I won't have
>> enough time to do it. Do you still want to do it?
>>
>> 2013/1/15 sky blue <csosstudy@gmail.com>:
>> > I had make the dnscrypt-proxy's Debian package and send it to a
>> > DD(Aron Xu <happyaron.xu@gmail.com>).
>> >
>> > 2013/1/14 Daniel Echeverry <epsilon77@gmail.com>:
>> >> Hi,
>> >>
>> >> You are the owner of dnscrypt ITP bug, I know the application and would
>> >> love
>> >> to be in the Debian archive, so I wanted to know if you need help
>> >> packaging
>> >> dnscrypt, we could maintain it together, What do you think?
>> >>
>> >> Regards
>> >> Daniel
>> >>
>> >> --
>> >> Epsilon
>> >> http://wiki.debian.org/DanielEcheverry
>> >> http://www.rinconinformatico.net
>> >> http://enchulatucelu.com
>> >> http://www.todopdf.net
>> >> http://www.fitnessdeportes.com
>> >> http://www.dragonjar.org
>> >> Linux user: #477840
>> >> Debian user
>
>
> I want packaging  dnscrypt for Debian .
>
> Thank you very much
>
> --
> Epsilon
> http://wiki.debian.org/DanielEcheverry
> Linux user: #477840
> Debian user
> Software libre
> liberar blackberry
> Libros online
> garmin y campin
>
[dnscrypt-proxy_1.2.0-1.debian.tar.gz (application/x-gzip, attachment)]

Message sent on to sky blue <csosstudy@gmail.com>:
Bug#692320. (Wed, 22 May 2013 01:27:04 GMT) Full text and rfc822 format available.

Message #22 received at 692320-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 692320-submitter@bugs.debian.org
Subject: Please support resolvconf
Date: Wed, 22 May 2013 03:21:20 +0200
[Message part 1 (text/plain, inline)]
When packaging dnscrypt-proxy please include support for resolvconf.

When dnscrypt-proxy starts it should register its listen address with
resolvconf and it should de-register its listen address before it stops.
Initscript pseudocode follows.

    LISTEN_ADDRESS='127.0.2.1'
    RECORD_NAME='lo.dnscrypt'
case "$1" in
    start)
        start_daemon && echo "nameserver $LISTEN_ADDRESS" | resolvconf -a
"$RECORD_NAME"
        ;;
    stop)
        resolvconf -d "$RECORD_NAME"
        stop_daemon
        ;;
esac

It is best if the daemon itself talks to resolvconf. The daemon knows its
true listen address and knows exactly when it is ready for that address to
be used by a resolver; and if the daemon is killed with a signal it can
still de-register its listen address.

I suggest that the address 127.0.2.1 be used in order to avoid conflicts
with other local nameservers. 127.0.0.1 is the default address for local
caching forwarding nameservers dnsmasq and pdnsd. 127.0.1.1 is the default
for the NetworkManager-controlled local forwarding nameserver on Ubuntu.

Also, please Suggest: resolvconf in debian/control.
-- 
Thomas Hood
[Message part 2 (text/html, inline)]

Message sent on to sky blue <csosstudy@gmail.com>:
Bug#692320. (Fri, 31 May 2013 10:00:10 GMT) Full text and rfc822 format available.

Message #25 received at 692320-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 692320-submitter@bugs.debian.org
Subject: Dnscrypt-proxy now supported by dnsmasq
Date: Fri, 31 May 2013 11:56:51 +0200
[Message part 1 (text/plain, inline)]
N.B. In dnsmasq 2.66-3 the resolvconf hook script has been changed such
that, now, if the record "lo.dnscrypt" is present then dnsmasq forwards DNS
queries exclusively to the addressed listed therein.
-- 
Thomas Hood
[Message part 2 (text/html, inline)]

Information forwarded to wnpp@debian.org, sky blue <csosstudy@gmail.com>:
Bug#692320; Package wnpp. (Sun, 28 Jul 2013 14:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to wnpp@debian.org, sky blue <csosstudy@gmail.com>. (Sun, 28 Jul 2013 14:00:21 GMT) Full text and rfc822 format available.

Message #30 received at 692320-maintonly@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 692320-maintonly@bugs.debian.org
Subject: Please support resolvconf
Date: Sun, 28 Jul 2013 15:56:50 +0200
[Message part 1 (text/plain, inline)]
When packaging dnscrypt-proxy please include support for resolvconf.

When dnscrypt-proxy starts it should register its listen address with
resolvconf and it should de-register its listen address before it stops.
Pseudocode follows.

    ADRS='127.0.2.1'
    RCRD='lo.dnscrypt'
case "$1" in
  start)
    start_daemon && echo "nameserver $ADRS" | resolvconf -a "$RCRD"
    ;;
  stop)
    resolvconf -d "$RCRD"
    stop_daemon
    ;;
esac

It is best if the daemon itself talks to resolvconf. The daemon knows its
true listen address and knows exactly when it is ready for that address
to be used by a resolver; and if the daemon is killed with a signal it can
still de-register its listen address.

I request that the address 127.0.2.1 be used in order to avoid conflicts
with other local nameservers.

Also, please Suggest: resolvconf in debian/control.

N.B. In dnsmasq 2.66-3 the resolvconf hook script has been changed
such that, now, if the record "lo.dnscrypt" is present then dnsmasq
forwards DNS queries exclusively to the addressed listed therein.
-- 
Thomas Hood
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:15:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.